%define module_version 1.004
%define module_name Feed-Pipe
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/UUID.pm) perl(DateTime.pm) perl(DateTime/Format/HTTP.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Moo.pm) perl(Path/Class.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XML/Atom.pm) perl(XML/Atom/Feed.pm) perl(XML/Feed.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.004
Release: alt1
Summary: Pipe Atom/RSS feeds through UNIX-style high-level filters
Group: Development/Perl
License: mit
URL: https://github.com/frioux/Feed-Pipe

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FR/FREW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is a Feed model that can mimic the functionality of standard UNIX pipe and filter style text processing tools. Instead of operating on lines from text files, it operates on entries from Atom (or RSS) feeds. The idea is to provide a high-level tool set for combining, filtering, and otherwise manipulating bunches of Atom data from various feeds.

Yes, you could do this with Yahoo Pipes. Until they decide to take it down, 
or start charging for it. And if your code is guaranteed to have Internet 
access.

Also, you could probably do it with the Plagger manpage, if you're genius enough to figure
out how.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/F*

%changelog
* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.004-alt1
- regenerated from template by package builder

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- initial import by package builder

